Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class MEMMTrainer.MEMMOptimizableByLabelLikelihood

    java.lang.Object
      cc.mallet.fst.CRFOptimizableByLabelLikelihood
          cc.mallet.fst.MEMMTrainer.MEMMOptimizableByLabelLikelihood

All Implemented Interfaces:
  Optimizable, Optimizable.ByGradientValue, java.io.Serializable

Enclosing class:
  MEMMTrainer

    public class MEMMTrainer.MEMMOptimizableByLabelLikelihood

extends CRFOptimizableByLabelLikelihood
implements Optimizable.ByGradientValue

Represents the terms in the objective function.

The weights are trained by matching the expectations of the model to the observations gathered from the data.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.fst.CRFOptimizableByLabelLikelihood
`CRFOptimizableByLabelLikelihood.Factory`

Nested classes/interfaces inherited from interface cc.mallet.optimize.Optimizable
`Optimizable.ByBatchGradient, Optimizable.ByCombiningBatchGradient, Optimizable.ByGISUpdate, Optimizable.ByGradient, Optimizable.ByGradientValue, Optimizable.ByHessian, Optimizable.ByValue, Optimizable.ByVotedPerceptron`

Field Summary

Fields inherited from class cc.mallet.fst.CRFOptimizableByLabelLikelihood
`cachedGradient, cachedValue, constraints, crf, expectations, trainingSet`

Constructor Summary
`protected` | `MEMMTrainer.MEMMOptimizableByLabelLikelihood(MEMM memm, InstanceList trainingData)`

Method Summary
`protected double` | `gatherExpectationsOrConstraints(boolean gatherConstraints)`
`protected double` | `getExpectationValue()`

Methods inherited from class cc.mallet.fst.CRFOptimizableByLabelLikelihood
`gatherConstraints, getGaussianPriorVariance, getNumParameters, getParameter, getParameters, getUseHyperbolicPriorSharpness, getUseHyperbolicPriorSlope, getValue, getValueGradient, setGaussianPriorVariance, setHyperbolicPriorSharpness, setHyperbolicPriorSlope, setParameter, setParameters, setUseHyperbolicPrior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface cc.mallet.optimize.Optimizable.ByGradientValue
`getValue, getValueGradient`

Methods inherited from interface cc.mallet.optimize.Optimizable
`getNumParameters, getParameter, getParameters, setParameter, setParameters`

Constructor Detail

### MEMMTrainer.MEMMOptimizableByLabelLikelihood

    protected MEMMTrainer.MEMMOptimizableByLabelLikelihood(MEMM memm,
                                                           InstanceList trainingData)

Method Detail

### gatherExpectationsOrConstraints

    protected double gatherExpectationsOrConstraints(boolean gatherConstraints)

### getExpectationValue

    protected double getExpectationValue()

  Overrides:
    `getExpectationValue` in class `CRFOptimizableByLabelLikelihood`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD